FLANG

Public Member Functions | List of all members
Fortran::semantics::RewriteMutator Class Reference

## Public Member Functions
| RewriteMutator (SemanticsContext &context)
template<typename T >
bool | Pre (T &)
template<typename T >
void | Post (T &)
void | Post (parser::Name &)
void | Post (parser::SpecificationPart &)
bool | Pre (parser::ExecutionPart &)
void | Post (parser::IoUnit &)
void | Post (parser::ReadStmt &)
void | Post (parser::WriteStmt &)
void | Post (parser::DataStmtConstant &)
bool | Pre (parser::EquivalenceStmt &)
bool | Pre (parser::Keyword &)
bool | Pre (parser::EntryStmt &)
bool | Pre (parser::CompilerDirective &)
bool | Pre (parser::EndBlockDataStmt &)
bool | Pre (parser::EndFunctionStmt &)
bool | Pre (parser::EndInterfaceStmt &)
bool | Pre (parser::EndModuleStmt &)
bool | Pre (parser::EndMpSubprogramStmt &)
bool | Pre (parser::EndProgramStmt &)
bool | Pre (parser::EndSubmoduleStmt &)
bool | Pre (parser::EndSubroutineStmt &)
bool | Pre (parser::EndTypeStmt &)

## Detailed Description

Convert misidentified statement functions to array element assignments. Convert misidentified format expressions to namelist group names. Convert misidentified character variables in I/O units to integer unit number expressions. Convert misidentified named constants in data statement values to initial data targets

The documentation for this class was generated from the following file:

- lib/Semantics/rewrite-parse-tree.cpp